'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Button = require('saltui/lib/Button');

var _Button2 = _interopRequireDefault(_Button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ButtonSelf = function (_React$Component) {
	_inherits(ButtonSelf, _React$Component);

	function ButtonSelf(props) {
		_classCallCheck(this, ButtonSelf);

		var _this = _possibleConstructorReturn(this, (ButtonSelf.__proto__ || Object.getPrototypeOf(ButtonSelf)).call(this, props));

		var text = props.text;
		_this.state = {
			text: text
		};
		return _this;
	}

	_createClass(ButtonSelf, [{
		key: 'handleClick',
		value: function handleClick() {
			console.log('button click');
		}
	}, {
		key: 'render',
		value: function render() {
			return _react2.default.createElement(
				'div',
				null,
				_react2.default.createElement(
					'div',
					{ className: 'demo-section' },
					_react2.default.createElement(
						'div',
						{ className: 'section-content' },
						_react2.default.createElement(
							_Button2.default,
							{ type: 'primary', onClick: this.handleClick },
							'\u4E00\u7EA7\u6309\u94AE'
						),
						_react2.default.createElement('br', null),
						_react2.default.createElement(
							_Button2.default,
							{ type: 'secondary', onClick: this.handleClick },
							'\u4E8C\u7EA7\u6309\u94AE'
						),
						_react2.default.createElement('br', null),
						_react2.default.createElement(
							_Button2.default,
							{ type: 'minor', onClick: this.handleClick },
							'\u6B21\u8981\u6309\u94AE'
						),
						_react2.default.createElement('br', null),
						_react2.default.createElement(
							_Button2.default,
							{ type: 'danger' },
							'\u8B66\u793A\u6309\u94AE1'
						),
						_react2.default.createElement('br', null),
						_react2.default.createElement(
							_Button2.default,
							{ loading: true },
							'\u52A0\u8F7D\u4E2D'
						),
						_react2.default.createElement('br', null),
						_react2.default.createElement(
							_Button2.default,
							{ disabled: true },
							'\u5931\u6548\u6309\u94AE'
						),
						_react2.default.createElement('br', null),
						_react2.default.createElement(
							_Button2.default,
							{ disabled: true },
							'\u5931\u6548\u6309\u94AE1'
						),
						_react2.default.createElement('br', null),
						_react2.default.createElement('br', null)
					)
				)
			);
		}
	}]);

	return ButtonSelf;
}(_react2.default.Component);

exports.default = ButtonSelf;