'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Boxs = require('saltui/lib/Boxs');

var _Boxs2 = _interopRequireDefault(_Boxs);

var _Button = require('saltui/lib/Button');

var _Button2 = _interopRequireDefault(_Button);

var _Dialog = require('saltui/lib/Dialog');

var _Dialog2 = _interopRequireDefault(_Dialog);

var _table = require('./table/table');

var _table2 = _interopRequireDefault(_table);

var _tree = require('./tree/tree');

var _tree2 = _interopRequireDefault(_tree);

var _treetable = require('./treetable/treetable');

var _treetable2 = _interopRequireDefault(_treetable);

var _utils = require('./utils');

var _utils2 = _interopRequireDefault(_utils);

require('whatwg-fetch');

require('es6-promise');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var HBox = _Boxs2.default.HBox,
    Box = _Boxs2.default.Box;

var PageHome = function (_React$Component) {
    _inherits(PageHome, _React$Component);

    function PageHome(props) {
        _classCallCheck(this, PageHome);

        var _this = _possibleConstructorReturn(this, (PageHome.__proto__ || Object.getPrototypeOf(PageHome)).call(this, props));

        var t = _this;

        var baseContext = document.getElementById("baseContext").value;
        var context = getLoginUserInfo().context;
        var token = document.getElementById("token").value;
        _this.state = {
            search: '',
            change: true,
            selectText: '',

            data: [],
            selectedData: [],
            selectNum: 0,
            checked: 'checkbox',
            placeholder: '搜索',
            showName: 'text',

            visible: false,
            top: 0,

            baseContext: baseContext,
            context: context,
            token: token,
            corpId: '0',

            popType: 'table',

            searchField: 'text'
        };

        t.listener = t.handleHidePopup.bind(t);
        return _this;
    }

    _createClass(PageHome, [{
        key: 'componentDidMount',
        value: function componentDidMount() {}

        // 去除监听并关闭弹出页

    }, {
        key: 'handleHidePopup',
        value: function handleHidePopup() {
            var t = this;
            window.removeEventListener('popstate', t.listener, false);
            t.setState({
                visible: false
            }, function () {
                var popType = t.state.popType;
                if (popType == 'tree') {
                    t.refs.tree.initState();
                } else if (popType == 'treetable') {
                    t.refs.treetable.initState();
                } else {
                    t.refs.table.initState();
                }
                $("#App").removeAttr("style");
                $(document).scrollTop(t.state.top);
            });
        }

        // 选择确认

    }, {
        key: 'selectConfirm',
        value: function selectConfirm(result) {
            var t = this;
            // 是否是对接系统弹出选择
            var popCode = t.props.popCode;
            if (popCode == null || popCode == 'null' || popCode == '' || popCode == undefined || popCode == 'undefined') {
                popCode = '';
            }

            if (popCode == '') {
                // 不关联PC弹出选择
                this.props.onChange(result);
            } else {
                // 关联PC弹出选择

                // 回显的属性
                var showName = this.state.showName;
                // 单选多选标识
                var checked = this.state.checked;

                // 回显的值
                var returnValue = '';
                if (checked == 'radio') {
                    // 单选
                    returnValue = result[showName];
                    if (returnValue == null || returnValue == 'null' || returnValue == '' || returnValue == undefined || returnValue == 'undefined') {
                        returnValue = '';
                    }
                } else {
                    // 多选
                    if (result != null && result.length > 0) {
                        for (var h = 0; h < result.length; h++) {
                            var rObj = result[h];
                            var show = rObj[showName];
                            if (show != null && show != 'null' && show != '' && show != undefined && show != 'undefined') {
                                if (returnValue == '') {
                                    returnValue = show;
                                } else {
                                    returnValue += ',' + show;
                                }
                            }
                        }
                    }
                }
                this.props.onChange(returnValue);
            }
            history.back();
        }

        // 触发弹出选择

    }, {
        key: 'popupFuc',
        value: function popupFuc() {
            var _this2 = this;

            var t = this;
            // 只读状态
            var readOnly = this.props.readOnly;
            if (readOnly) {
                return false;
            }

            // 当前页面的高度
            var top = $(window).scrollTop();
            // 控制底层页面不可动
            $('#App').css("top", -top + "px");
            $('#App').css("width", 100 + "%");
            $('#App').css('position', 'fixed');

            // 是否是对接系统弹出选择
            var popCode = t.props.popCode;
            var popType = "";
            if (popCode == null || popCode == 'null' || popCode == '' || popCode == undefined || popCode == 'undefined') {
                popCode = '';
                popType = 'table';
            }

            // 单选多选标识
            var checked = this.props.checked;
            if (checked == null || checked == 'null' || checked == '' || checked == undefined || checked == 'undefined') {
                checked = 'checkbox';
            }

            // 搜索提示语
            var placeholder = this.props.placeholder;
            if (placeholder == null || placeholder == 'null' || placeholder == '' || placeholder == undefined || placeholder == 'undefined') {
                placeholder = '搜索';
            }

            // 回显属性名
            var showName = this.props.showName;
            if (showName == null || showName == 'null' || showName == '' || showName == undefined || showName == 'undefined') {
                showName = 'text';
            }

            // 搜索属性
            var searchField = this.props.searchField;
            if (searchField == null || searchField == 'null' || searchField == '' || searchField == undefined || searchField == 'undefined') {
                searchField = 'text';
            }

            // 选择列表数据
            var data = this.props.data;
            // 被选中的个数
            var selectNum = 0;
            // 选中的数据
            var value = this.props.value;

            // 请求后台获取弹出数据
            if (popCode != '') {
                // 调用弹出选择Api接口
                var url = this.state.context + "/api/m/cmp/poppage/mobile/getPoppageInfo?token=" + this.state.token + "&corpId=" + this.state.corpId + "&popCode=" + popCode;
                fetch(url, {
                    method: "GET",
                    mode: "cors",
                    headers: {
                        'Accept': 'application/json, text/plain, */*',
                        'Content-Type': 'application/x-www-form-urlencoded'
                    }
                }).then(function (response) {
                    return response.json();
                }).then(function (result) {
                    // 选中数据处理
                    var tempData1 = null;
                    // 获取数据成功
                    if (result != null && result.type == 'success') {
                        // 弹出选择数据
                        var popData = result.data;
                        // 弹出类型
                        popType = popData.popType;
                        // 显示字段
                        if (popType == 'treetable') {
                            _Dialog2.default.alert({
                                content: '暂不支持树-列表格式的弹出选择！',
                                onConfirm: function onConfirm() {
                                    $("#App").removeAttr("style");
                                    $(document).scrollTop(top);
                                }
                            });
                            return false;
                        } else if (popType == 'tree') {
                            showName = 'name';
                        } else {
                            showName = popData.queryShowfield;
                        }

                        // 查询字段
                        var queryCondition = popData.queryCondition;
                        if (queryCondition != '' && queryCondition != null) {
                            var tempCondition = '';
                            var conditionArr = queryCondition.split(';');
                            if (conditionArr != null && conditionArr.length > 0) {
                                for (var i = conditionArr.length - 1; i >= 0; i--) {
                                    var obj = conditionArr[i];
                                    if (obj != '' && obj != null) {
                                        var objArr = obj.split(',');
                                        if (objArr != null && objArr.length > 0) {
                                            if (tempCondition == '') {
                                                tempCondition = objArr[0];
                                            } else {
                                                tempCondition += ',' + objArr[0];
                                            }
                                        }
                                    }
                                }
                            }
                            queryCondition = tempCondition;
                        }

                        searchField = queryCondition;

                        // 选择列表数据
                        data = popData.data;
                        if (value != null && value != 'null' && value != '' && value != undefined && value != 'undefined') {

                            if (checked == 'radio') {
                                tempData1 = {};
                                // 单选
                                for (var k = 0; k < data.length; k++) {
                                    var obj = data[k];
                                    if (obj[showName] == value) {
                                        tempData1 = obj;
                                        break;
                                    }
                                }
                            } else {
                                // 多选
                                tempData1 = [];

                                // 选中得值
                                var valueArr = value.split(',');

                                // 验证标识
                                var checkStr = '';
                                for (var kk = 0; kk < data.length; kk++) {
                                    var dobj = data[kk];

                                    var id = dobj.value;
                                    for (var jj = 0; jj < valueArr.length; jj++) {
                                        var valueStr = valueArr[jj];
                                        if (dobj[showName] == valueStr) {
                                            tempData1.push(dobj);
                                            valueArr.splice(jj, 1);
                                            break;
                                        }
                                    }
                                }
                            }
                        }
                    }

                    _this2.setState({
                        change: true,
                        data: data,
                        selectNum: selectNum,
                        checked: checked,
                        placeholder: placeholder,
                        selectedData: tempData1,
                        showName: showName,
                        popType: popType,
                        top: top,
                        visible: true,
                        searchField: searchField,
                        historyStamp: 'SearchPanel.index_' + Date.now()
                    }, function () {
                        if (popType == 'tree') {
                            t.refs.tree.initState();
                        } else if (popType == 'treetable') {
                            t.refs.treetable.initState();
                        } else {
                            t.refs.table.initState();
                        }

                        window.history.pushState({
                            Poppage: t.state.historyStamp
                        }, '', _utils2.default.addUrlParam('POPPAGE', Date.now()));
                        window.addEventListener('popstate', t.listener, false);
                    });
                }).catch(function (error) {
                    alert("错误：" + error);
                });
            } else {
                this.setState({
                    change: true,
                    data: data,
                    selectNum: selectNum,
                    checked: checked,
                    placeholder: placeholder,
                    selectedData: value,
                    showName: showName,
                    popType: popType,
                    top: top,
                    visible: true,
                    searchField: searchField,
                    historyStamp: 'SearchPanel.index_' + Date.now()
                }, function () {
                    t.refs.table.initState();

                    window.history.pushState({
                        Poppage: t.state.historyStamp
                    }, '', _utils2.default.addUrlParam('POPPAGE', Date.now()));
                    window.addEventListener('popstate', t.listener, false);
                });
            }
        }

        // 点击蒙层关闭

    }, {
        key: 'closMask',
        value: function closMask() {
            history.back();
        }
    }, {
        key: 'render',
        value: function render() {
            var _this3 = this;

            var t = this;
            var selectText = '';
            // 必选标识
            var required = this.props.required;

            // label
            var label = this.props.label;
            if (label == null || label == 'null' || label == '' || label == undefined || label == 'undefined') {
                label = '弹出选择';
            }

            // 是否回显
            var isShow = this.props.isShow;

            // 是否显示箭头
            var isIcon = this.props.isIcon;

            // 表现形式：  0：常规，1：按钮  默认：常规
            var showType = this.props.showType;
            if (showType == null || showType == 'null' || showType == '' || showType == undefined || showType == 'undefined') {
                showType = '0';
            }

            // 单选多选标识
            var checked = this.props.checked;
            if (checked == null || checked == 'null' || checked == '' || checked == undefined || checked == 'undefined') {
                checked = 'checkbox';
            }

            var popCode = t.props.popCode;
            if (popCode == null || popCode == 'null' || popCode == '' || popCode == undefined || popCode == 'undefined') {
                popCode = '';
            }

            if (popCode != '') {
                // 关联PC端弹出选择 
                var value = this.props.value;
                if (value == null || value == 'null' || value == '' || value == undefined || value == 'undefined') {
                    value = '';
                }
                selectText = value;
            } else {
                // 不是PC端的弹出选择 
                // 选中的数据
                var _value = this.props.value;
                var showName = this.props.showName;
                if (showName == null || showName == 'null' || showName == '' || showName == undefined || showName == 'undefined') {
                    showName = this.state.showName;
                }
                // 单选
                if (checked == 'radio') {
                    if (_value != null && _value != 'null' && _value != '' && _value != undefined && _value != 'undefined') {
                        selectText = '';
                        selectText = _value[showName];
                    }
                } else {
                    // 多选
                    if (_value == null || _value == 'null' || _value == '' || _value == undefined || _value == 'undefined') {
                        _value = [];
                    }
                    selectText = '';
                    for (var ii = 0; ii < _value.length; ii++) {
                        var obj = _value[ii];
                        if (selectText == '') {
                            selectText = obj[showName];
                        } else {
                            selectText = selectText + ',' + obj[showName];
                        }
                    }
                }
            }

            // 只读状态
            var readOnly = this.props.readOnly;

            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    'div',
                    null,
                    _react2.default.createElement(
                        'div',
                        { className: showType == '1' ? 'demo-section' : 't-DN' },
                        _react2.default.createElement(
                            'div',
                            { className: 'section-content' },
                            _react2.default.createElement(
                                _Button2.default,
                                { type: 'primary', onClick: function onClick() {
                                        _this3.popupFuc();
                                    } },
                                label
                            )
                        )
                    ),
                    _react2.default.createElement(
                        HBox,
                        { vAlign: 'center', className: showType != '1' ? 't-field-box t-FS16 t-PR16' : 't-DN', onClick: function onClick() {
                                _this3.popupFuc();
                            } },
                        _react2.default.createElement(
                            Box,
                            { className: required ? 't-field-layout-h-label required' : 't-field-layout-h-label' },
                            label
                        ),
                        _react2.default.createElement(
                            HBox,
                            { flex: 1 },
                            _react2.default.createElement(
                                Box,
                                { flex: 1, className: isShow ? 't-DN' : 't-FAL t-LH1_4 t-omit' },
                                selectText
                            ),
                            _react2.default.createElement(
                                Box,
                                { className: isIcon || readOnly ? 't-DN' : 't-PR4' },
                                _react2.default.createElement('b', { className: 'iconfont icon-back t-rotate-180 t-FCc t-FS16 t-FS14' })
                            )
                        )
                    )
                ),
                _react2.default.createElement(_table2.default, { className: this.state.popType == 'table' ? '' : 't-DN',
                    placeholder: this.state.placeholder,
                    data: this.state.data,
                    onChange: this.selectConfirm.bind(this),
                    closMask: this.closMask.bind(this),
                    value: this.state.selectedData,
                    checked: this.state.checked,
                    showName: this.state.showName,
                    visible: this.state.visible,
                    top: this.state.top,
                    searchField: this.state.searchField,
                    ref: 'table'
                }),
                _react2.default.createElement(_tree2.default, { className: this.state.popType == 'tree' ? '' : 't-DN',
                    placeholder: this.state.placeholder,
                    data: this.state.data,
                    onChange: this.selectConfirm.bind(this),
                    closMask: this.closMask.bind(this),
                    value: this.state.selectedData,
                    checked: this.state.checked,
                    showName: this.state.showName,
                    visible: this.state.visible,
                    top: this.state.top,
                    searchField: this.state.searchField,
                    ref: 'tree'
                }),
                _react2.default.createElement(_treetable2.default, { className: this.state.popType == 'treetable' ? '' : 't-DN',
                    placeholder: this.state.placeholder,
                    data: this.state.data,
                    onChange: this.selectConfirm.bind(this),
                    closMask: this.closMask.bind(this),
                    value: this.state.selectedData,
                    checked: this.state.checked,
                    showName: this.state.showName,
                    visible: this.state.visible,
                    top: this.state.top,
                    searchField: this.state.searchField,
                    ref: 'treetable'
                })
            );
        }
    }]);

    return PageHome;
}(_react2.default.Component);

exports.default = PageHome;