'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _TextField = require('saltui/lib/TextField');

var _TextField2 = _interopRequireDefault(_TextField);

var _AngleRight = require('salt-icon/lib/AngleRight');

var _AngleRight2 = _interopRequireDefault(_AngleRight);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var RightAddon = _TextField2.default.RightAddon;

var PageHome = function (_React$Component) {
  _inherits(PageHome, _React$Component);

  function PageHome(props) {
    _classCallCheck(this, PageHome);

    var _this = _possibleConstructorReturn(this, (PageHome.__proto__ || Object.getPrototypeOf(PageHome)).call(this, props));

    var label = props.label;
    if (!label) {
      label = '';
    }
    _this.state = {};
    return _this;
  }

  _createClass(PageHome, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var t = this;
    }

    //点击

  }, {
    key: 'click',
    value: function click() {
      var t = this;
      var value = this.props.value;
      if (t.props.readOnly) {
        //只读
        var canShowLocate = this.props.canShowLocate;
        if (canShowLocate == null || canShowLocate == undefined || typeof canShowLocate !== 'boolean' && canShowLocate == '') {
          canShowLocate = true;
        } else {
          canShowLocate = canShowLocate;
        }
        if (value && canShowLocate) {
          if (value.latitude && value.longitude) {
            showLocate(value);
          }
        }
      } else {
        if (value) {
          if (value.latitude && value.longitude) {
            getLocate(value, function (result) {
              var name = result.province + result.city + result.adName + result.snippet + result.title;
              var returnData = { 'name': name, 'latitude': result.latitude, 'longitude': result.longitude };
              t.props.onChange(returnData);
            });
          } else {
            getLocate(null, function (result) {
              var name = result.province + result.city + result.adName + result.snippet + result.title;
              var returnData = { 'name': name, 'latitude': result.latitude, 'longitude': result.longitude };
              t.props.onChange(returnData);
            });
          }
        } else {
          getLocate(null, function (result) {
            var name = result.province + result.city + result.adName + result.snippet + result.title;
            var returnData = { 'name': name, 'latitude': result.latitude, 'longitude': result.longitude };
            t.props.onChange(returnData);
          });
        }
      }
    }

    //初始化ids

  }, {
    key: 'initData',
    value: function initData() {}

    //加载文件列表

  }, {
    key: 'render',
    value: function render() {
      var t = this;
      return _react2.default.createElement(
        'div',
        { className: '', onClick: this.click.bind(this) },
        _react2.default.createElement(
          _TextField2.default,
          {
            required: t.props.required,
            readOnly: true,
            label: t.props.label,
            placeholder: t.props.readOnly ? '' : t.props.placeholder,
            value: t.props.value == null || t.props.value == undefined ? '' : t.props.value.name
          },
          _react2.default.createElement(
            RightAddon,
            null,
            _react2.default.createElement(_AngleRight2.default, { width: 20, height: 20, fill: '#ccc', className: t.props.readOnly ? 't-DN' : 'demo-t-list-arrow' })
          )
        )
      );
    }
  }]);

  return PageHome;
}(_react2.default.Component);

exports.default = PageHome;