'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Boxs = require('saltui/lib/Boxs');

var _Boxs2 = _interopRequireDefault(_Boxs);

var _Avatar = require('saltui/lib/Avatar');

var _Avatar2 = _interopRequireDefault(_Avatar);

var _db = require('../db/db');

var _db2 = _interopRequireDefault(_db);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var HBox = _Boxs2.default.HBox,
    Box = _Boxs2.default.Box,
    VBox = _Boxs2.default.VBox;

var Page = function (_React$Component) {
  _inherits(Page, _React$Component);

  function Page(props) {
    _classCallCheck(this, Page);

    var _this = _possibleConstructorReturn(this, (Page.__proto__ || Object.getPrototypeOf(Page)).call(this, props));

    _this.state = {
      processLogList: []
    };

    return _this;
  }

  _createClass(Page, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var t = this;
      var taskId = this.props.taskId;
      var listType = this.props.listType;
      var processInstanceId = this.props.processInstanceId;
      var dealwhithId = processInstanceId;
      if (listType == "0") {
        dealwhithId = taskId;
      }
      _db2.default.FlowModuleAPI.queryFlowChart({ taskId: dealwhithId, listType: listType, processInstanceId: processInstanceId }).then(function (content) {
        // var allActivityList = content.allActivityList;//所有的流程节点
        // var processLogList = content.processLogList;//流程日志
        //var processLogList = content.processLogList;//流程已办节点
        var processLogList = content.processLogList;
        t.setState({
          processLogList: processLogList
        });
      }).catch(function (error) {});
    }
  }, {
    key: 'render',
    value: function render() {

      var t = this;
      var index = this.state.index;

      //样式格式化
      function formatIcon(type) {
        if (type == 'startevent') {
          return "iconfont icon-begin";
        } else if (type == 'endevent') {
          return "iconfont icon-end";
        } else if (type == 'usertask') {
          return "iconfont icon-mine";
        }
      }

      //名称
      function dealactionname(item) {
        var name = '';
        if (item.dealactionname) {
          name += item.dealactionname;
          if (item.nextactivityname) {
            name += '至' + item.nextactivityname;
          }
        }
        return name;
      }

      return _react2.default.createElement(
        'div',
        { className: 'approval-recording' },
        _react2.default.createElement(
          'div',
          { className: 't-PT12 t-PB10 t-PR' },
          _react2.default.createElement('div', { className: 'dd-process-dec' }),
          this.state.processLogList.map(function (item, i) {
            var nameHtml = "";
            if (item.dealusername != null && item.dealusername != '') {
              var dealusername = item.dealusername.split('|');
              var delContent = '（该用户账号已被删除，请联系管理员修改流程）';
              var delContent1 = '（该用户账号已被删除）';
              nameHtml = dealusername.map(function (item, index) {
                var names = item.replace(delContent, '');
                if (item.indexOf(delContent1) > -1) {
                  names = "";
                }
                return _react2.default.createElement(
                  'span',
                  null,
                  index == 0 ? names : "|" + names,
                  _react2.default.createElement(
                    'i',
                    { className: item.indexOf(delContent) > -1 ? "t-FCred" : 't-DN' },
                    delContent
                  ),
                  _react2.default.createElement(
                    'i',
                    { className: item.indexOf(delContent1) > -1 ? "t-FCred" : 't-DN' },
                    delContent1
                  )
                );
              });
            }

            return _react2.default.createElement(
              HBox,
              { className: 't-PR' },
              _react2.default.createElement(
                Box,
                { className: 'dd-border-width' },
                _react2.default.createElement('div', { className: i == this.state.processLogList.length - 1 ? "dd-border-o theme-border" : "dd-border-o" })
              ),
              _react2.default.createElement(
                'div',
                { className: 'recording-card' },
                _react2.default.createElement(
                  'div',
                  { className: 'recording-message theme-color' },
                  _react2.default.createElement(
                    'div',
                    { className: 't-omit' },
                    item.createdDate
                  ),
                  _react2.default.createElement(
                    'div',
                    { className: 'recording-info' },
                    _react2.default.createElement(
                      'div',
                      { className: 'recording-info-left' },
                      _react2.default.createElement(
                        'div',
                        { className: 'recording-name' },
                        nameHtml
                      ),
                      _react2.default.createElement(
                        'div',
                        { className: 'recording-result' },
                        dealactionname(item)
                      )
                    ),
                    _react2.default.createElement(
                      'div',
                      { className: 'recording-author' },
                      item.curactivityname
                    )
                  )
                )
              )
            );
          }.bind(this))
        )
      );
    }
  }]);

  return Page;
}(_react2.default.Component);

exports.default = Page;